## CloneImageAttributes

CloneImageAttributes() clones one or more image attributes.

The format of the CloneImageAttributes method is:

      MagickBooleanType CloneImageAttributes(Image *image,
        const Image *clone_image)

A description of each parameter follows:

#### image

The image.

#### clone_image

The clone image.

## DeleteImageAttribute

DeleteImageAttribute() deletes an attribute from the image.

The format of the DeleteImageAttribute method is:

      MagickBooleanType DeleteImageAttribute(Image *image,const char *key)

A description of each parameter follows:

#### image

The image info.

#### key

The image key.

## DestroyImageAttributes

DestroyImageAttributes() deallocates memory associated with the image attribute list.

The format of the DestroyImageAttributes method is:

      DestroyImageAttributes(Image *image)

A description of each parameter follows:

#### image

The image.

## GetImageAttribute

GetImageAttribute() searches the list of image attributes and returns a pointer to the attribute if it exists otherwise NULL.

The format of the GetImageAttribute method is:

      const ImageAttribute *GetImageAttribute(const Image *image,
        const char *key)

A description of each parameter follows:

#### image

The image.

#### key

These character strings are the name of an image attribute to return.

## GetImageClippingPathAttribute

GetImageClippingPathAttribute() searches the list of image attributes and returns a pointer to a clipping path if it exists otherwise NULL.

The format of the GetImageClippingPathAttribute method is:

      const ImageAttribute *GetImageClippingPathAttribute(const Image *image)

A description of each parameter follows:

#### attribute

Method GetImageClippingPathAttribute returns the clipping path if it exists otherwise NULL.

#### image

The image.

## GetNextImageAttribute

GetNextImageAttribute() gets the next image attribute.

The format of the GetNextImageAttribute method is:

      const ImageAttribute *GetNextImageAttribute(const Image *image)

A description of each parameter follows:

#### image

The image.

## ResetImageAttributeIterator

ResetImageAttributeIterator() resets the image attributes iterator. Use it in conjunction with GetNextImageAttribute() to iterate over all the values associated with an image.

The format of the ResetImageAttributeIterator method is:

      ResetImageAttributeIterator(const ImageInfo *image)

A description of each parameter follows:

#### image

The image.

## SetImageAttribute

SetImageAttribute() searches the list of image attributes and replaces the attribute value. If it is not found in the list, the attribute name and value is added to the list.

The format of the SetImageAttribute method is:

       MagickBooleanType SetImageAttribute(Image *image,const char *key,
        const char *value)

A description of each parameter follows:

#### image

The image.

#### key

The key.

#### value

The value.

## TracePSClipPath

TracePSClipPath() traces a clip path and returns it as Postscript.

The format of the TracePSClipPath method is:

      char *TracePSClipPath(unsigned char *blob,size_t length,
        const unsigned long columns,const unsigned long rows)

A description of each parameter follows:

#### blob

The blob.

#### length

The length of the blob.

#### columns

The image width.

#### rows

The image height.

## TraceSVGClipPath

TraceSVGClipPath() traces a clip path and returns it as SVG.

The format of the TraceSVGClipPath method is:

      char *TraceSVGClipPath(unsigned char *blob,size_t length,
        const unsigned long columns,const unsigned long rows)

A description of each parameter follows:

#### blob

The blob.

#### length

The length of the blob.

#### columns

The image width.

#### rows

The image height.

Discourse Server | Mailing Lists | Image Gallery | ImageMagick Studio
© 1999-2005 ImageMagick Studio LLC